# PSF-LoginServer - master - net.psforever.objects.serverobject.generator.GeneratorControl
PSF - LoginServer - master - net.psforever.objects.serverobject.generator.GeneratorControl
Keywords: PSF LoginServer master net.psforever.objects.serverobject.generator.GeneratorControl

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package generator
  Definition Classes
    serverobject
- Generator
- GeneratorControl
- GeneratorDefinition

o

net.psforever.objects.serverobject.generator

# GeneratorControl 

###
Companion class GeneratorControl

#### object GeneratorControl

Source
  GeneratorControl.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GeneratorControl
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def DamageAwareness(target: Generator, cause: DamageResult, amount: Int): Unit

   If not destroyed, it will complain about being damaged.

   If not destroyed, it will complain about being damaged.

   target

     the entity being damaged

   cause

     historical information about the damage

   amount

     the amount of damage

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  def generatorRoomExplosionDetectionTest(g1ctrXY: Vector3, ufront: Vector3, uside: Vector3, uup: Vector3, topPoint: Float, basePoint: Float)(source: PlanetSideGameObject, target: PlanetSideGameObject, maxDistance: Float): Boolean

    The explosion of the generator affects all targets within the generator room.

    The explosion of the generator affects all targets within the generator room. The generator room is not perfectly geometric nor it is even properly centered on the generator unit. As a consequence, different measurements must be performed to determine that the target is "within" and that the target is not "outside" of the detection radius of the room. Magic numbers for the room dimensions are employed.

    g1ctrXY

      the center of the generator on the xy-axis

    ufront

      a `Vector3` entity that points to the "front" direction of the generator; the `u` prefix indicates a "unit vector"

    uside

      a `Vector3` entity that points to the "side" direction of the generator; the `u` prefix indicates a "unit vector"

    uup

      a `Vector3` entity that points to the "top" direction of the generator; the `u` prefix indicates a "unit vector"

    topPoint

      a point at the top of the generator; represents the highest possible point of damage

    basePoint

      a point at the bottom of the generator; represents the lowest possible point of damage

    source

      a game entity, should be the source of the explosion

    target

      a game entity, should be the target of the explosion

    maxDistance

      the square of the maximum distance permissible between game entities; not used here

    returns

      `true`, if the target entities are near enough to each other; `false`, otherwise

    See also

      `Zone.distanceCheck`

      `Zone.serverSideDamage`

11.  def generatorRoomExplosionDetectionTestSetup(pointTowardsFront: Vector3, source: PlanetSideGameObject): (PlanetSideGameObject, PlanetSideGameObject, Float) => Boolean

    The explosion of the generator affects all targets within the generator room.

    The explosion of the generator affects all targets within the generator room. Perform setup using basic input to calculate the data that will orient the "room" in terms of what targets can be affected by the explosion.

    pointTowardsFront

      starting from the generator's centroid, a point that represents something "in front of" the generator

    source

      the generator

    returns

      a function that takes source and target and calculates whether or not the target will be affected by an explosion of the source

12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
23.  object Event extends Enumeration

    na

### Inherited from AnyRef

### Inherited from Any

### Ungrouped